#include <iostream>
#include <math.h>

using namespace std;

int niz[100000008];

int main(){
  
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);

  int n, x;
  int minIndex = 0, maxIndex = 0;
  int resenje = 0;
  
  cin >> n >> x;

  for (int i = 0; i < n; ++i){
    cin >> niz[i];
    if (niz[i] > niz[maxIndex]){
      maxIndex = i;
    }
    if (niz[i] < niz[minIndex]){
      minIndex = i;
    }
  }

  if (x < niz[minIndex]){
    resenje = niz[maxIndex] - x;
  }

  else if (x > niz[maxIndex]){
    resenje = x - niz[minIndex];
  }

  else {
    if (niz[maxIndex] - x < x - niz[minIndex]){
      resenje = 2 * (niz[maxIndex] - x) + x - niz[minIndex];
    }
    else {
      resenje = 2 * (x - niz[minIndex]) + niz[maxIndex] - x;
    }
  }

  cout << resenje << endl;

  return 0;
}